    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ------------------------------
    028 * GradientPaintWriteHandler.java
    029 * ------------------------------
    030 * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: GradientPaintWriteHandler.java,v 1.4 2005/10/18 13:35:21 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 12-Nov-2003 : Initial version (TM);
    040 * 23-Dec-2003 : Updated header (DG);
    041 *
    042 */
    043
    044package org.jfree.xml.writer.coretypes;
    045
    046import java.awt.Color;
    047import java.awt.GradientPaint;
    048import java.awt.geom.Point2D;
    049import java.io.IOException;
    050
    051import org.jfree.xml.writer.AbstractXmlWriteHandler;
    052import org.jfree.xml.writer.RootXmlWriteHandler;
    053import org.jfree.xml.writer.XMLWriter;
    054import org.jfree.xml.writer.XMLWriterException;
    055
    056/**
    057 * A handler for writing {@link GradientPaint} objects.
    058 */
    059public class GradientPaintWriteHandler extends AbstractXmlWriteHandler  {
    060
    061    /**
    062     * Default constructor.
    063     */
    064    public GradientPaintWriteHandler() {
    065        super();
    066    }
    067
    068    /**
    069     * Performs the writing of a {@link GradientPaint} object.
    070     *
    071     * @param tagName  the tag name.
    072     * @param object  the {@link GradientPaint} object.
    073     * @param writer  the writer.
    074     * @param mPlexAttribute  ??.
    075     * @param mPlexValue  ??.
    076     *
    077     * @throws IOException if there is an I/O error.
    078     * @throws XMLWriterException if there is a writer error.
    079     */
    080    public void write(final String tagName, final Object object, final XMLWriter writer,
    081                      final String mPlexAttribute, final String mPlexValue)
    082        throws IOException, XMLWriterException {
    083        final GradientPaint paint = (GradientPaint) object;
    084        writer.writeTag(tagName, mPlexAttribute, mPlexValue, false);
    085        writer.startBlock();
    086        final RootXmlWriteHandler rootHandler = getRootHandler();
    087        rootHandler.write("color1", paint.getColor1(), Color.class, writer);
    088        writer.allowLineBreak();
    089        rootHandler.write("color2", paint.getColor2(), Color.class, writer);
    090        writer.allowLineBreak();
    091        rootHandler.write("point1", paint.getPoint1(), Point2D.class, writer);
    092        writer.allowLineBreak();
    093        rootHandler.write("point2", paint.getPoint2(), Point2D.class, writer);
    094        writer.endBlock();
    095        writer.writeCloseTag(tagName);
    096    }
    097}